find_library(DQCSIM_LIBRARY
	dqcsim
	HINT ENV DQCSIM_LIB
	HINT ENV DQCSIM_PREFIX
	REQUIRED
)

find_path(DQCSIM_INCLUDE_DIR
	NAMES dqcsim.h cdqcsim
	HINT ENV DQCSIM_INC
	HINT ENV DQCSIM_PREFIX
	REQUIRED
)

mark_as_advanced(DQCSIM_LIBRARY DQCSIM_INCLUDE_DIR)
set(DQCSIM_LIBRARIES ${DQCSIM_LIBRARY})
set(DQCSIM_INCLUDE_DIRS ${DQCSIM_INCLUDE_DIR})

if(NOT DQCSIM_LIBRARY OR NOT DQCSIM_INCLUDE_DIR)
	set(DQCSIM_FOUND FALSE)
else()
	set(DQCSIM_FOUND TRUE)
	add_library(dqcsim SHARED IMPORTED GLOBAL)
	set_target_properties(dqcsim PROPERTIES
		IMPORTED_LOCATION ${DQCSIM_LIBRARY}
		IMPORTED_NO_SONAME YES
		INTERFACE_INCLUDE_DIRECTORIES ${DQCSIM_INCLUDE_DIR}
		INTERFACE_SYSTEM_INCLUDE_DIRECTORIES ${DQCSIM_INCLUDE_DIR}
	)
endif()
